Subject: bug#72704: 29.4; repunctuate-sentences ignores NO-QUERY

From: Juri Linkov <[email-masked]>
Date: Mon, 19 Aug 2024 09:52:04 +0300

> NO-QUERY does take effect if you evaluate the function noninteractively:
>
> (repunctuate-sentences t (point-min) (point-max))
>
> To my reading, the docstring of repunctuate-sentences does not imply
> that the prefix argument should have any effect interactively. I think
> this is a simple, reasonable feature request.  What do others think?

I see no reason to disallow using a prefix argument for NO-QUERY.